<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("AAP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish.php";
}

include INFUSIONS."adams_advertisements_panel/infusion_db.php";
add_to_head("<link rel='stylesheet' href='".INFUSIONS."adams_advertisements_panel/css/style.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."adams_advertisements_panel/js/skrypt.js'></script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."adams_advertisements_panel/js/form-validate.js'></script>");

$button_id = (isset($_REQUEST['button_id']) && isnum($_REQUEST['button_id']) ? $_REQUEST['button_id'] : "");

$typ = "";
if (!isset($_GET['typ']) || $_GET['typ'] == "index") {
	$typ = 1;
} elseif ($_GET['typ'] == "add") {
	$typ = 2;
} elseif ($_GET['typ'] == "users") {
	$typ = 3;
} elseif ($_GET['typ'] == "ustawienia") {
	$typ = 4;
}

opentable($locale['AAP'][1]['000']);

$nawi_width ='10%';
echo "<table class='navi' cellpadding='3' cellspacing='3'>\n";
	echo "<tr>\n";
		echo "<td".($typ == 1 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=index'>".$locale['AAP'][1]['001']."</a></td>\n";
		echo "<td".($typ == 2 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=add'>".$locale['AAP'][1]['002']."</a></td>\n";
		echo "<td".($typ == 3 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=users'>".$locale['AAP'][1]['003']."</a></td>\n";
		echo "<td".($typ == 4 ? " class='active'" : "")."><a href='".FUSION_SELF.$aidlink."&amp;typ=ustawienia'>".$locale['AAP'][1]['004']."</a></td>\n";
	echo "</tr>\n";
echo "</table>\n";

if (!isset($_GET['typ']) || $_GET['typ'] == "index") {
	include INFUSIONS."adams_advertisements_panel/includes/admin/index.php";
} elseif ($_GET['typ'] == "add" || $_GET['typ'] == "edit" || $_GET['typ'] == "del") {
	include INFUSIONS."adams_advertisements_panel/includes/admin/operacje.php";
} elseif ($_GET['typ'] == "users") {
	include INFUSIONS."adams_advertisements_panel/includes/admin/users.php";
} elseif ($_GET['typ'] == "informacje") {
	include INFUSIONS."adams_advertisements_panel/includes/admin/informacje.php";
} elseif ($_GET['typ'] == "ustawienia") {
	include INFUSIONS."adams_advertisements_panel/includes/admin/ustawienia.php";
} elseif ($_GET['typ'] == "autor") {
	include INFUSIONS."adams_advertisements_panel/autor.php";
}

echo "<table width='100%' cellpadding='0' cellspacing='0' border='0' align='center'>\n";
	echo "<tr class='tbl2'>\n";
		echo "<td align='left' style='font-weight:bold; font-size: larger; padding: 10px 0 10px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;typ=autor'>".$locale['AAP'][1]['010']."</a></td>\n";
		echo "<td align='right' style='font-weight:bold; font-size: larger; padding: 10px 10px 10px 0;'><a href='".FUSION_SELF.$aidlink."&amp;typ=autor'>".$locale['AAP'][1]['011']."</a></td>\n";
	echo "</tr>\n";
echo "</table>\n";

closetable();

require_once THEMES."templates/footer.php";
?>