<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: button_client.php
| Author: Adam Stalica
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."adams_advertisements_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."adams_advertisements_panel/locale/Polish.php";
}

include INFUSIONS."adams_advertisements_panel/infusion_db.php";
add_to_head("<link rel='stylesheet' href='".INFUSIONS."adams_advertisements_panel/css/style.css' type='text/css' media='screen' />");

$stan = isset($_REQUEST['stan']) ? $_REQUEST['stan'] : "";
$button_id = (isset($_REQUEST['button_id']) AND isnum($_REQUEST['button_id'])) ? $_REQUEST['button_id'] : "";

opentable($locale['AAP'][8]['000']);

switch($stan) {
case "zaloguj":	

if ($_POST['login'] === "All" AND $_POST['pass'] === "1234") {
	$result = dbquery("SELECT a.*, b.* FROM ".DB_BUTTONS." a
			LEFT JOIN ".DB_BUTTONS_CLIENTS." b ON a.button_client=b.client_id
			ORDER BY a.button_id ASC");
} else {
	$result = dbquery("SELECT a.*, b.* FROM ".DB_BUTTONS." a
			LEFT JOIN ".DB_BUTTONS_CLIENTS." b ON a.button_client=b.client_id
			WHERE b.client_name='".$_POST['login']."' AND b.client_pass='".md5(md5(trim($_POST['pass'])))."'
			ORDER BY a.button_id ASC");
}
$rows = dbrows($result);
if ($rows > 0) {
	while ($data = dbarray($result)) {
		$url = parse_url($data['button_image']);

		echo "<table class='edycja wiersz'>\n";
			echo "<tr>\n";
				echo "<th colspan='2'>".$locale['AAP'][6]['000']."</th>\n";
			echo "</tr>\n";
			echo "<tr>\n";
				echo "<td>".$locale['AAP'][6]['001']."</td>\n";
				echo "<td>".$data['button_name']."</td>\n";
			echo "</tr>\n";
			if (!empty($data['button_image'])) {
				echo "<tr>\n";
					echo "<th colspan='2'>".$locale['AAP'][6]['002']."</th>\n";
				echo "</tr>\n";
				echo "<tr>\n";
					echo "<td colspan='2'>\n";
						echo "<a href='".INFUSIONS."adams_advertisements_panel/button.php?button_id=".$data['button_id']."' target='_blank'>\n";
						echo "<img src='".(isset($url['scheme']) ? $data['button_image'] : BASEDIR."images/buttony/".$data['button_image'])."' height='".$data['button_height']."' width='".$data['button_width']."' alt='".$data['button_alt']."' title='".$data['button_title']."' />\n";
						echo "</a>\n";
					echo "</td>\n";
				echo "</tr>\n";
			} else {
				echo "<tr>\n";
					echo "<th colspan='2'>".$locale['AAP'][6]['003']."</th>\n";
				echo "</tr>\n";
				echo "<tr>\n";
					echo "<td colspan='2'>\n";
						echo $data['button_script']."\n";
					echo "</td>\n";
				echo "</tr>\n";
			}
			if (!empty($data['button_height'])) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['004']."</td>\n";
					echo "<td>".$data['button_height']."</td>\n";
				echo "</tr>\n";
			}
			if (!empty($data['button_width'])) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['005']."</td>\n";
					echo "<td>".$data['button_width']."</td>\n";
				echo "</tr>\n";
			}
			if (!empty($data['button_link'])) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['006']."</td>\n";
					echo "<td><a href='".INFUSIONS."adams_advertisements_panel/button.php?button_id=".$data['button_id']."' target='_blank'>".$data['button_link']."</a></td>\n";
				echo "</tr>\n";
			}
			if (!empty($data['button_alt'])) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['007']."</td>\n";
					echo "<td>".$data['button_alt']."</td>\n";
				echo "</tr>\n";
			}
			if (!empty($data['button_title'])) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['008']."</td>\n";
					echo "<td>".$data['button_title']."</td>\n";
				echo "</tr>\n";
			}
			echo "<tr>\n";
				echo "<td>".$locale['AAP'][6]['009']."</td>\n";
				echo "<td>".$data['button_clicks'].($data['button_limit_clicks'] != 0 ? "/".$data['button_limit_clicks'] : "")."</td>\n";
			echo "</tr>\n";
			echo "<tr>\n";
				echo "<td>".$locale['AAP'][6]['010']."</td>\n";
				echo "<td>".$data['button_views'].($data['button_limit_views'] != 0 ? "/".$data['button_limit_views'] : "")."</td>\n";
			echo "</tr>\n";
			if ($data['button_client'] != 0) {
				echo "<tr>\n";
					echo "<td>".$locale['AAP'][6]['011']."</td>\n";
					echo "<td>".$data['client_name']."</td>\n";
				echo "</tr>\n";
			}
		echo "</table>\n";

	}
} else {
	echo "<table class='edycja wiersz'>\n";
		echo "<tr>\n";
			echo "<th colspan='2'>".$locale['AAP'][9]['005']."</th>\n";
		echo "</tr>\n";
		echo "<tr>\n";
			echo "<td colspan='2' style='color: red; font-weight: bold;'>".$locale['AAP'][9]['006']."</td>\n";
		echo "</tr>\n";
	echo "</table>\n";
}

break;
default:

echo"<form action='".INFUSIONS."adams_advertisements_panel/button_client.php?stan=zaloguj' method='post'>\n";
echo "<table class='edycja wiersz'>\n";
	echo "<tr>\n";
		echo "<th colspan='2'>".$locale['AAP'][9]['001']."</th>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td>".$locale['AAP'][9]['002']."</td>\n";
		echo "<td><input type='text' name='login' size='20' maxlength='50' class='textbox' /></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td>".$locale['AAP'][9]['003']."</td>\n";
		echo "<td><input type='password' name='pass' size='20' maxlength='50' class='textbox' /></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
		echo "<td class='stopka' colspan='2'><input type='submit' value='".$locale['AAP'][9]['004']."' class='button' /></td>\n";
	echo "</tr>\n";
echo "</table>\n";
echo "</form>\n";

break;
}

closetable();
require_once THEMES."templates/footer.php";
?>
